org.apache.flume.lifecycle

## Class LifecycleSupervisor.SupervisorPolicy.AlwaysRestartPolicy

- java.lang.Object
- - org.apache.flume.lifecycle.LifecycleSupervisor.SupervisorPolicy
  - - org.apache.flume.lifecycle.LifecycleSupervisor.SupervisorPolicy.AlwaysRestartPolicy

- Enclosing class:
    LifecycleSupervisor.SupervisorPolicy

      public static class LifecycleSupervisor.SupervisorPolicy.AlwaysRestartPolicy
      extends LifecycleSupervisor.SupervisorPolicy

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.flume.lifecycle.LifecycleSupervisor.SupervisorPolicy

      `LifecycleSupervisor.SupervisorPolicy.AlwaysRestartPolicy, LifecycleSupervisor.SupervisorPolicy.OnceOnlyPolicy`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LifecycleSupervisor.SupervisorPolicy.AlwaysRestartPolicy()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LifecycleSupervisor.SupervisorPolicy.AlwaysRestartPolicy

          public LifecycleSupervisor.SupervisorPolicy.AlwaysRestartPolicy()

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.